package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.model.Fcdgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class FctopnStoreVo extends BaseTransactionVo {
    private Fcdgrp fcdgrp;
    private String cashacc;
//    private String oldcashacc;
    private String cashcur;
    private BigDecimal cashamt;
    private String trmtyp;
    private String reason;
    private String gleflg;
    private String nam;
    private List<CshVo> cshVoList;
    private String showFlg;

    @Override
    public void reset() {
        super.reset();
        if (fcdgrp == null) {
            fcdgrp = new Fcdgrp();
        }
        fcdgrp.reset();
    }
}
